import { jsx } from "react/jsx-runtime";
import { TokenSNAIL as TokenSNAIL$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSNAIL = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SNAIL", "data-name": "TokenSNAIL", ...props, children: /* @__PURE__ */ jsx(TokenSNAIL$1, { variant }) });
  }
);
TokenSNAIL.displayName = "TokenSNAIL";
Object.assign(TokenSNAIL, { isGdsIcon: true });
export {
  TokenSNAIL
};
